Subject: bug#29903: closed (Re: bug#29903: Guile modules compilation fails on master)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 06 Jan 2018 13:49:02 +0000

Your bug report

#29903: Guile modules compilation fails on master

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29903: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29903
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#29903: Guile modules compilation fails on master
From: [email-masked] (Ludovic Courtès)
To: Mathieu Lirzin <[email-masked]>
Cc: [email-masked]
Date: Sat, 06 Jan 2018 14:48:33 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Mathieu Lirzin <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>> Mathieu Lirzin <[email-masked]> skribis:
>>
>>> I am trying to build Guix master branch (commit
>>> e2f37d6ab7427946e6c68ebaecc97c85d5217234) on Fedora 25.  Here is the
>>> issue I have:
>>
>> [...]
>>
>>>   LOAD     guix/utils.scm
>>>   LOAD     guix/sets.scm
>>>   LOAD     guix/modules.scm
>>>   LOAD     guix/download.scm
>>> ice-9/psyntax.scm:1558:32: In procedure expand-macro:
>>> ice-9/psyntax.scm:1558:32: Syntax error:
>>> unknown location: error: no 'ungexp' substitution (ungexp %utils-module)
>>> Makefile:5314 : la recette pour la cible « make-go » a échouée
>>
>> Is it reproducible?
>
> Definitely.  Always the same error at the same time.
>
>> This looks like <https://bugs.gnu.org/27476>, though in this case you
>> appear to be building things sequentially (-j1; and the “load” phase is
>> sequential anyway.)
>
> I have tested with Guile 2.2.3 installed from source and the issue
> dissapeared.  I don't know if the problem is specific to Guile 2.2.1
> distributed by Fedora.

Oh indeed, it has to do with this bug, fixed in 2.2.2:

--8<---------------cut here---------------start------------->8---
Changes in 2.2.2 (since 2.2.1):

* Bug fixes

** Syntax objects are once more comparable with 'equal?'

The syntax object change in 2.2.1 had the unintended effect of making
syntax objects no longer comparable with equal?.  This release restores
the previous behavior.
--8<---------------cut here---------------end--------------->8---

For reference, 2.2.2 was released two days after 2.2.1, precisely
because of this bug.  Too bad Fedora didn’t pick it up.  :-/

> If not I would suggest rejecting it at configure time.

Done:

  https://git.savannah.gnu.org/cgit/guix.git/commit/?id=142182514b84ee233bc27e574df2ca2074291525

Thanks,
Ludo’.

Subject: Guile modules compilation fails on master
From: Mathieu Lirzin <[email-masked]>
To: [email-masked]
Date: Sat, 30 Dec 2017 00:02:58 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I am trying to build Guix master branch (commit
e2f37d6ab7427946e6c68ebaecc97c85d5217234) on Fedora 25.  Here is the
issue I have:

--8<---------------cut here---------------start------------->8---
mthl@localhost:~/src/guix$ make
make  all-recursive
make[1] : on entre dans le répertoire « /home/mthl/src/guix »
Making all in po/guix
make[2] : on entre dans le répertoire « /home/mthl/src/guix/po/guix »
make[2] : on quitte le répertoire « /home/mthl/src/guix/po/guix »
Making all in po/packages
make[2] : on entre dans le répertoire « /home/mthl/src/guix/po/packages »
make[2] : on quitte le répertoire « /home/mthl/src/guix/po/packages »
make[2] : on entre dans le répertoire « /home/mthl/src/guix »
Compiling Scheme modules...
Import (ice-9 threads) to have access to `current-processor-count'.
`_IOFBF' is deprecated.  Use the symbol 'block instead.
  LOAD     guix/base16.scm
  LOAD     guix/base32.scm
  LOAD     guix/base64.scm
  LOAD     guix/cpio.scm
  LOAD     guix/records.scm
  LOAD     guix/gcrypt.scm
  LOAD     guix/hash.scm
  LOAD     guix/pk-crypto.scm
  LOAD     guix/pki.scm
  LOAD     guix/progress.scm
  LOAD     guix/combinators.scm
  LOAD     guix/memoization.scm
  LOAD     guix/utils.scm
  LOAD     guix/sets.scm
  LOAD     guix/modules.scm
  LOAD     guix/download.scm
ice-9/psyntax.scm:1558:32: In procedure expand-macro:
ice-9/psyntax.scm:1558:32: Syntax error:
unknown location: error: no 'ungexp' substitution (ungexp %utils-module)
Makefile:5314 : la recette pour la cible « make-go » a échouée
make[2]: *** [make-go] Erreur 1
make[2] : on quitte le répertoire « /home/mthl/src/guix »
Makefile:4445 : la recette pour la cible « all-recursive » a échouée
make[1]: *** [all-recursive] Erreur 1
make[1] : on quitte le répertoire « /home/mthl/src/guix »
Makefile:3035 : la recette pour la cible « all » a échouée
make: *** [all] Erreur 2
mthl@localhost:~/src/guix$ 
--8<---------------cut here---------------end--------------->8---

Here is my config.log:

Thanks.

-- 
Mathieu Lirzin
GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37